<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE library SYSTEM "library.dtd">
<!-- autogenerated by fdtrans v52.1 -->
<library name="xfdmaster" basename="xfdMasterBase" basetype="xfdMasterBase" openname="xfdmaster.library">
	<include>libraries/xfdmaster.h</include>
	<interface name="main" version="1.0" struct="xfdMasterIFace" prefix="_xfdMaster_" asmprefix="IxfdMaster" global="IxfdMaster">
		<method name="Obtain" result="uint32"/>
		<method name="Release" result="uint32"/>
		<method name="Expunge" result="void" status="unimplemented"/>
		<method name="Clone" result="struct Interface *" status="unimplemented"/>
		<method name="xfdAllocBufferInfo" result="struct xfdBufferInfo *">
		</method>
		<method name="xfdFreeBufferInfo" result="void">
			<arg name="bufferinfo" type="struct xfdBufferInfo *"/>
		</method>
		<method name="xfdAllocSegmentInfo" result="struct xfdSegmentInfo *">
		</method>
		<method name="xfdFreeSegmentInfo" result="void">
			<arg name="segmentinfo" type="struct xfdSegmentInfo *"/>
		</method>
		<method name="xfdRecogBuffer" result="BOOL">
			<arg name="bufferinfo" type="struct xfdBufferInfo *"/>
		</method>
		<method name="xfdDecrunchBuffer" result="BOOL">
			<arg name="bufferinfo" type="struct xfdBufferInfo *"/>
		</method>
		<method name="xfdRecogSegment" result="BOOL">
			<arg name="segmentinfo" type="struct xfdSegmentInfo *"/>
		</method>
		<method name="xfdDecrunchSegment" result="BOOL">
			<arg name="segmentinfo" type="struct xfdSegmentInfo *"/>
		</method>
		<method name="xfdGetErrorText" result="CONST_STRPTR">
			<arg name="error" type="ULONG"/>
		</method>
		<method name="xfdTestHunkStructure" result="BOOL">
			<arg name="buffer" type="APTR"/>
			<arg name="length" type="ULONG"/>
		</method>
		<method name="xfdTestHunkStructureNew" result="UWORD">
			<arg name="buffer" type="APTR"/>
			<arg name="length" type="ULONG"/>
		</method>
		<method name="xfdRelocate" result="UWORD">
			<arg name="buffer" type="APTR"/>
			<arg name="length" type="ULONG"/>
			<arg name="result" type="ULONG *"/>
			<arg name="mode" type="ULONG"/>
		</method>
		<method name="xfdTestHunkStructureFlags" result="UWORD">
			<arg name="buffer" type="APTR"/>
			<arg name="length" type="ULONG"/>
			<arg name="flags" type="ULONG"/>
		</method>
		<method name="xfdStripHunks" result="UWORD">
			<arg name="buffer" type="APTR"/>
			<arg name="length" type="ULONG"/>
			<arg name="result" type="ULONG *"/>
			<arg name="flags" type="ULONG"/>
		</method>
		<method name="xfdAllocObject" result="APTR">
			<arg name="objecttype" type="ULONG"/>
		</method>
		<method name="xfdFreeObject" result="void">
			<arg name="object" type="APTR"/>
		</method>
		<method name="xfdRecogLinker" result="BOOL">
			<arg name="linkerinfo" type="struct xfdLinkerInfo *"/>
		</method>
		<method name="xfdUnlink" result="BOOL">
			<arg name="linkerinfo" type="struct xfdLinkerInfo *"/>
		</method>
		<method name="xfdScanData" result="UWORD">
			<arg name="buffer" type="APTR"/>
			<arg name="length" type="ULONG"/>
			<arg name="result" type="ULONG *"/>
			<arg name="flags" type="ULONG"/>
			<arg name="scanhook" type="struct xfdScanHook *"/>
		</method>
		<method name="xfdFreeScanList" result="void">
			<arg name="scannode" type="struct xfdScanNode *"/>
		</method>
		<method name="xfdObjectType" result="ULONG">
			<arg name="object" type="APTR"/>
		</method>
		<method name="xfdInitScanHook" result="struct xfdScanHook *">
			<arg name="entry" type="BOOL (*)()"/>
			<arg name="data" type="APTR"/>
		</method>
		<method name="xfdPrintFault" result="BOOL">
			<arg name="error" type="ULONG"/>
			<arg name="header" type="CONST_STRPTR"/>
		</method>
		<method name="xfdFault" result="ULONG">
			<arg name="error" type="ULONG"/>
			<arg name="header" type="CONST_STRPTR"/>
			<arg name="buffer" type="STRPTR"/>
			<arg name="length" type="ULONG"/>
		</method>
	</interface>
</library>
